Favorite Movie
curl --request GET \
--url 'https://api.themoviedb.org/3/account/{account_id}/favorite/movies?%7B%7Bkey%7D%7D='import requests
url = "https://api.themoviedb.org/3/account/{account_id}/favorite/movies?%7B%7Bkey%7D%7D="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.themoviedb.org/3/account/{account_id}/favorite/movies?%7B%7Bkey%7D%7D=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"results": [
{
"adult": false,
"backdrop_path": "/hZkgoQYus5vegHoetLkCJzb17zJ.jpg",
"genre_ids": [
18
],
"id": 550,
"original_language": "en",
"original_title": "Fight Club",
"overview": "A ticking-time-bomb insomniac and a slippery soap salesman channel primal male aggression into a shocking new form of therapy. Their concept catches on, with underground \"fight clubs\" forming in every town, until an eccentric gets in the way and ignites an out-of-control spiral toward oblivion.",
"popularity": 93.597,
"poster_path": "/pB8BM7pdSp6B6Ih7QZ4DrQ3PmJK.jpg",
"release_date": "1999-10-15",
"title": "Fight Club",
"video": false,
"vote_average": 8.4,
"vote_count": 29492
}
],
"total_pages": 1,
"total_results": 1
}Account
Favorite Movie
This endpoint gets a users list of favourite movies
GET
/
3
/
account
/
{account_id}
/
favorite
/
movies
Favorite Movie
Authorizations
Path Parameters
Query Parameters
string
Example:
"en-US"
int
Example:
"1"
string
string
Example:
"created_at.asc"
Response
200 - application/json
OK
Example:
1
Show child attributes
Show child attributes
Example:
[
{
"adult": false,
"backdrop_path": "/hZkgoQYus5vegHoetLkCJzb17zJ.jpg",
"genre_ids": [18],
"id": 550,
"original_language": "en",
"original_title": "Fight Club",
"overview": "A ticking-time-bomb insomniac and a slippery soap salesman channel primal male aggression into a shocking new form of therapy. Their concept catches on, with underground \"fight clubs\" forming in every town, until an eccentric gets in the way and ignites an out-of-control spiral toward oblivion.",
"popularity": 93.597,
"poster_path": "/pB8BM7pdSp6B6Ih7QZ4DrQ3PmJK.jpg",
"release_date": "1999-10-15",
"title": "Fight Club",
"video": false,
"vote_average": 8.4,
"vote_count": 29492
}
]
Example:
1
Example:
1
Was this page helpful?
⌘I